/**
 * Created on 08.03.2008
 */
package lab2.data;

import java.util.ArrayList;
import java.util.List;

import lab2.types.Airplane;
import lab2.types.AirplaneType;
import lab2.types.Airport;
import lab2.types.Coordinates;

/**
 * @author cipi
 *
 */
public class DefaultData {
	public static List<Airport> getAirports() {
		List<Airport> airports = new ArrayList<Airport>();

		// first airport
		Airport airport1 = new Airport("Timisoara", "o adresa", "0256123456",
				"Nicolae Panait", new Coordinates(100, 450));

		Airplane airplane11 = new Airplane(
				"AASI Jetcruzer 450",
				"6 seats (including the pilot), max cruising speed 556km/h, the first "
						+ "prototype flew for the first time on 11 January 1989",
				AirplaneType.PRIVATE, "Ion Ionescu");
		airport1.addAirplane(airplane11);

		Airplane airplane12 = new Airplane(
				"Airbus A380",
				"Standard seating for 555 passengers on two decks in a three class "
						+ "arrangement, max cruising speed 1062 km/h, the first "
						+ "official airplane flew for the first time on 25 October 2007",
				AirplaneType.COMMERCIAL, "Tarom");
		airport1.addAirplane(airplane12);

		Airplane airplane13 = new Airplane(
				"Antonov An-38",
				"Standard seating for 26 passengers max cruising speed 405 km/h, "
						+ "the first appearance was at the 1991 Paris Air Show as a model",
				AirplaneType.COMMERCIAL, "Carpatair");
		airport1.addAirplane(airplane13);

		airports.add(airport1);

		// second airport
		Airport airport2 = new Airport("Iasi", "o adresa", "0232123456",
				"Mitica Rebegea", new Coordinates(560, 680));

		Airplane airplane21 = new Airplane("Cessna Citation X",
				"Standard seating for 12 passengers, max cruising speed 934 km/h, "
						+ "first production Citation X delivered in June 1996",
				AirplaneType.PRIVATE, "Gigi Becali");
		airport2.addAirplane(airplane21);

		Airplane airplane22 = new Airplane("Dassault Falcon 2000",
				"Standard seating for 8 passengers, max cruising speed 891 km/h, "
						+ "first customer delivery occurred in March 1995",
				AirplaneType.PRIVATE, "Ion Tiriac");
		airport2.addAirplane(airplane22);

		Airplane airplane23 = new Airplane("MiG-21 Lancer",
				"Fighting plane, max speed at 10000 m 2175 km/h, "
						+ "first flight occurred in 1957",
				AirplaneType.MILITARY, "MI");
		airport2.addAirplane(airplane23);

		airports.add(airport2);

		// third airport
		Airport airport3 = new Airport("Bucuresti Baneasa", "o adresa",
				"0211234567", "Costel Popa", new Coordinates(500, 350));

		Airplane airplane31 = new Airplane(
				"Boeing 777-30",
				"Typical passenger accommodation for 386 to 394 in three class "
						+ "arrangements, 400 to 479 in two class arrangements or up "
						+ "to 550 in an all economy high density configuration, "
						+ "max cruising speed 893 km/h, "
						+ "first customer delivery occurred in January 2003",
				AirplaneType.COMMERCIAL, "Lufthansa");
		airport3.addAirplane(airplane31);

		Airplane airplane32 = new Airplane("C-130 Hercules",
				"For Cargo transport, up to 20 000 kg, max cruising speed 540 km/h, "
						+ "first customer delivery occurred in December 1956",
				AirplaneType.CARGO, "MI");
		airport3.addAirplane(airplane32);

		Airplane airplane33 = new Airplane(
				"Saab 2000",
				"Standard seating for 50 passengers, max cruising speed 682 km/h, "
						+ "the Saab 2000's first flight took place on March 26 1992",
				AirplaneType.COMMERCIAL, "Carpatair");
		airport3.addAirplane(airplane33);

		Airplane airplane34 = new Airplane(
				"Cirrus SR-20/22",
				"Standard seating for 4 passengers, max cruising speed 295 km/h, "
						+ "the SR-20 prototype made its first flight on March 31 1995",
				AirplaneType.PRIVATE, "Dan Diaconescu");
		airport3.addAirplane(airplane34);

		airports.add(airport3);

		// fourth airport
		Airport airport4 = new Airport("Baia Mare", "o adresa", "0262123456",
				"Mihai Preda", new Coordinates(250, 700));

		Airplane airplane41 = new Airplane(
				"Fokker 70",
				"Standard seating for 79 passengers, max cruising speed 743 km/h, "
						+ "the first production Fokker 70 flew for the first time "
						+ "in July 1994", AirplaneType.COMMERCIAL, "Tarom");
		airport4.addAirplane(airplane41);

		Airplane airplane42 = new Airplane("Tupolev Tu-154",
				"Typical single class seating for 158 to 164 passengers, "
						+ "max cruising speed 975 km/h, "
						+ "theThe Tu-154 first flew on October 4 1968",
				AirplaneType.COMMERCIAL, "Moldair");
		airport4.addAirplane(airplane42);
		
		airports.add(airport4);
		
		// fifth airport
		Airport airport5 = new Airport("Cluj-Napoca", "o adresa", "0264123456",
				"Emil Boc", new Coordinates(280, 540));

		Airplane airplane51 = new Airplane(
				"Airbus A320",
				"Main cabin can accommodate a maximum of 179 passengers in a high "
						+ "density layout. Typical two class seating arrangement for "
						+ "12 passengers at four abreast and 138 at six abreast, "
						+ "max cruising speed 903 km/h, the first first flight "
						+ "occurred on 22 February 1987",
				AirplaneType.COMMERCIAL, "Lufthansa");
		airport5.addAirplane(airplane51);
		
		Airplane airplane52 = new Airplane(
				"Douglas DC-7",
				"Standard seating for 99 passengers in a high density single class "
						+ "layout, typical cruising speed 555 km/h, "
						+ "the prototype DC-7 flew for the first time on 18 May 1953",
				AirplaneType.COMMERCIAL, "Tarom");
		airport5.addAirplane(airplane52);
		
		airports.add(airport5);
		return airports;
	}

}
