/**
 * Created on 04.03.2008
 */
package lab2.types;

/**
 * @author cipi
 * 
 */
public class Airplane extends AbstractAirplane implements AirplaneDataInterface {
	private String airplaneName;
	private String airplaneInformation;
	private AirplaneType airplaneType;
	
	public Airplane(String airplaneName, String airplaneInformation,
			AirplaneType airplaneType, String airline) {
		this.airplaneName = airplaneName;
		this.airplaneInformation = airplaneInformation;
		this.airplaneType = airplaneType;
		this.airline = airline;
	}
	
	public String getAirplaneInformation() {
		return airplaneInformation;
	}

	public String getAirplaneName() {
		return airplaneName;
	}
	
	public AirplaneType getAirplaneType() {
		return airplaneType;
	}

	@Override
	public String toString() {
		return airplaneName;
	}
	
}
