/**
 * Created on 04.03.2008
 */
package lab2.types;

/**
 * @author cipi
 *
 */
public interface AirplaneDataInterface {
	
	/**
	 * @return the name of the airplane
	 */
	public String getAirplaneName();
	
	/**
	 * @return the information related to the airplane 
	 * 	(e.g. airplane capacity, number of flight classes, etc)
	 */
	public String getAirplaneInformation();
	
	/**
	 * @return the type of the airplane
	 */
	public AirplaneType getAirplaneType();
}
