/**
 * Created on 04.03.2008
 */
package lab2.types;

import java.text.DecimalFormat;

/**
 * @author cipi
 *
 */
public class Coordinates {
	private double x;
	private double y;
	
	/**
	 * @param x - the abscissa
	 * @param y - the ordinate
	 */
	public Coordinates(double x, double y) {
		this.x = x;
		this.y = y;
	}

	/**
	 * @return the point abscissa
	 */
	public double getX() {
		return x;
	}

	/**
	 * @return the point ordinate
	 */
	public double getY() {
		return y;
	}

	@Override
	public String toString() {
		DecimalFormat decimalFormat = new DecimalFormat("#.#");
		return "( " + decimalFormat.format(x) + "; " + decimalFormat.format(y)
				+ " )";
	}
	
}
