/**
 * Created on 08.03.2008
 */
package lab2.data;

/**
 * @author cipi
 *
 */
public class TimeThread extends Thread {
    private static final int PERIOD = 1000 * 3;
	private static TimeThread instance = null;
	
	private ProjectCharacteristics characteristics = null;
	
	private TimeThread() {
		setDaemon(true);
		
		characteristics = ProjectCharacteristics.getInstance();
	}
	
	public static TimeThread getInstance() {
		if(instance == null) {
			instance = new TimeThread();
		}
		
		return instance;
	}

	@Override
	public void run() {
		while(true) {
            try {
                sleep(PERIOD);
            } catch (InterruptedException e) {
            	e.printStackTrace();
            }

            characteristics.updateFlights();
		}
	}

}
