/**
 * Created on 08.03.2008
 */
package lab2.gui;

import java.awt.Color;
import java.awt.Component;

import javax.swing.BorderFactory;
import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.border.EtchedBorder;

import sun.swing.table.DefaultTableCellHeaderRenderer;

/**
 * @author cipi
 *
 */
@SuppressWarnings("serial")
public class MyTableHeaderRenderer extends DefaultTableCellHeaderRenderer {

	@Override
	public Component getTableCellRendererComponent(JTable table, Object value,
			boolean isSelected, boolean hasFocus, int row, int col) {
		setBackground(new Color(168, 197, 254));
		setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
		setFont(table.getFont());
		setHorizontalAlignment(SwingConstants.CENTER);
		setValue(value);
		
		return this;
	}
}
