/**
 * Created on 08.03.2008
 */
package lab2.gui.airports;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

/**
 * @author cipi
 *
 */
@SuppressWarnings("serial")
public class AirportsTableCellRenderer extends DefaultTableCellRenderer {
	
	@Override
	public Component getTableCellRendererComponent(JTable table, Object value,
			boolean isSelected, boolean hasFocus, int row, int col) {
		Color oddColor = null;
        Color evenColor = null;

		if (!table.getModel().isCellEditable(row, col)) {
            oddColor = new Color(230, 230, 230);
        	evenColor = new Color(146, 146, 146);
        } else {
        	oddColor = new Color(137, 140, 255);
            evenColor = new Color(82, 44, 244);
        }
        if (0 == row % 2) {
            setBackground(evenColor);
        } else {
            setBackground(oddColor);
        }

		return super.getTableCellRendererComponent(table, value, isSelected,
				hasFocus, row, col);
	}

}
